Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: Andi Kleen <[email-masked]>
Date: Wed, 10 Dec 2003 21:55:27 +0100

On Wed, 10 Dec 2003 12:30:39 -0800
Nivedita Singhvi <[email-masked]> wrote:
 
> > I don't think the network users will be very happy if you require changing all
> > end hosts this way. How about the following hack? For DF=1 packets
> > the ipid field is useless. When you rewrite the TOS to DSCP save
> > the old TOS in the ipid field.  When you see an ICMP fragment required
> > message with the right DSCP on the router restore the old TOS from the ipid 
> > field.
> 
> Wouldnt this require changes at the both ends, router and
> host? How would we sync?

Only the router would need to change (and rewrite ICMP messages, which is a 
bit nasty, but then compatibility is not always fun) 

-Andi

P.S.: I am not opposed to fixing linux for this, just I have my doubts
that fixing all end hosts is a practical solution for the problem.